// 1. Чому для роботи з input не рекомендується використовувати клавіатуру?
//У минулому події клавіатури іноді використовувалися для відстеження введення даних користувачем у 
//полях форми. Це ненадійно, тому що введення даних не обов'язково може здійснюватися за допомогою 
//клавіатури. Існують події input і change спеціально для обробки введення. Вони спрацьовують у 
//результаті будь-якого введення, включно з Копіюванням/Вставленням мишею і розпізнаванням мови.

//Події клавіатури ж мають використовуватися тільки за призначенням - для клавіатури. Наприклад, 
//щоб реагувати на гарячі або спеціальні клавіші.


let buttons = document.querySelectorAll(".btn");
document.addEventListener("keydown", changeColor);
function changeColor(e) {
  buttons.forEach(btn =>
    btn.dataset.keycode === e.code
      ? btn.classList.add("blue")
      : btn.classList.remove("blue")
  );
}
